Subject: Re: kernel 2.4 vs 2.6 Traffic Controller performance

From: Eric Dumazet <[email-masked]>
Date: Wed, 03 Oct 2007 09:00:32 +0200

Sonny a écrit :
> Hello
> This is a repost, there seems to have a misunderstanding before.
> 
> I hope this is the right place to ask this. Does any know if there is a
> substantial difference in the performance of the traffic controller
> between kernel 2.4 and 2.6. We tested it using 1 iperf server and use
> 250 and 500 clients, altering the burst.
> 
> This is the set-up:
> iperf client -  router (w/ traffic controller) - iperf server
> 
> We use the top command inside the router to check the idle time of our
> router to see this. The results we got from the 2.4 kernel shows
> around 65-70% idle time while the 2.6 shows
> 60-65% idle time. We tried to use MRTG and we're not getting any
> results either. We want to know if we could improve the bandwidth by
> upgrading the kernel, else we would have to get a new bandwidth
> manager.  Have anyone performed a similar test or can suggest a better
> way to do this. Thanks in advance.
> -
Hi Sonny

I am not sure what you are asking here. 65-70% idle time (or 60-65%) is fine.

2.6 is also not very meaningfull, there are a lot of changes between 2.6.0 and 
2.6.23 :)

Why should you upgrade kernel ?
What bandwidth do you handle ?
What kind of platform is it ? (a new kernel wont help much if its a real old 
machine, or old NICs)

You seem to have some bandwidth problem but focus on cpu affairs...